Bug 2211514 - [abrt] easyeffects: PluginBase::set_post_messages(): easyeffects killed by SIGSEGV
Summary: [abrt] easyeffects: PluginBase::set_post_messages(): easyeffects killed by SI...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: easyeffects
Version: 38
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Vasiliy Glazov
QA Contact:
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:31f54b3a91b059551be4f01c9e0...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2023-05-31 20:27 UTC by FeDosiX
Modified: 2023-07-07 01:28 UTC (History)
2 users (show)

Fixed In Version: easyeffects-7.0.5-1.fc38
Doc Type: ---
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-07-07 01:28:40 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
File: proc_pid_status (1.40 KB, text/plain)
2023-05-31 20:27 UTC, FeDosiX
no flags Details
File: maps (3.98 KB, text/plain)
2023-05-31 20:27 UTC, FeDosiX
no flags Details
File: limits (1.29 KB, text/plain)
2023-05-31 20:27 UTC, FeDosiX
no flags Details
File: environ (1.17 KB, text/plain)
2023-05-31 20:27 UTC, FeDosiX
no flags Details
File: open_fds (11.52 KB, text/plain)
2023-05-31 20:27 UTC, FeDosiX
no flags Details
File: mountinfo (3.76 KB, text/plain)
2023-05-31 20:27 UTC, FeDosiX
no flags Details
File: os_info (734 bytes, text/plain)
2023-05-31 20:27 UTC, FeDosiX
no flags Details
File: cpuinfo (2.96 KB, text/plain)
2023-05-31 20:27 UTC, FeDosiX
no flags Details
File: core_backtrace (36.35 KB, text/plain)
2023-05-31 20:27 UTC, FeDosiX
no flags Details
File: exploitable (81 bytes, text/plain)
2023-05-31 20:27 UTC, FeDosiX
no flags Details
File: dso_list (514 bytes, text/plain)
2023-05-31 20:27 UTC, FeDosiX
no flags Details
File: var_log_messages (2.57 KB, text/plain)
2023-05-31 20:27 UTC, FeDosiX
no flags Details
File: backtrace (115.84 KB, text/plain)
2023-05-31 20:27 UTC, FeDosiX
no flags Details

Description FeDosiX 2023-05-31 20:27:05 UTC
Version-Release number of selected component:
easyeffects-7.0.3-1.fc38

Additional info:
reporter:       libreport-2.17.10
type:           CCpp
reason:         easyeffects killed by SIGSEGV
journald_cursor: s=47189116b279422fa01b4eae1bf28e59;i=67af;b=7d302637a9484aaa896f3219712624c0;m=1a99abb56;t=5fd0314f8d199;x=a911acc581e9f66e
executable:     /usr/bin/easyeffects
cmdline:        easyeffects -l $' '
cgroup:         0::/user.slice/user-1000.slice/user/session.slice/org.gnome.Shell
rootdir:        /
uid:            1000
kernel:         6.2.15-300.fc38.x86_64
package:        easyeffects-7.0.3-1.fc38
runlevel:       N 5
backtrace_rating: 4
crash_function: PluginBase::set_post_messages

Truncated backtrace:
Thread no. 1 (20 frames)
 #0 PluginBase::set_post_messages at ../src/plugin_base.cpp:316
 #1 ui::crossfeed_box::setup at ../src/crossfeed_ui.cpp:88
 #2 ui::plugins_box::add_plugins_to_stack<(PipelineType)1> at ../src/plugins_box.cpp:178
 #3 g_cclosure_marshal_VOID__STRINGv at ../gobject/gmarshal.c:1462
 #4 _g_closure_invoke_va at ../gobject/gclosure.c:895
 #7 g_settings_real_change_event at ../gio/gsettings.c:392
 #8 _g_cclosure_marshal_BOOLEAN__POINTER_INTv at ../gio/gmarshal-internal.c:428
 #9 _g_closure_invoke_va at ../gobject/gclosure.c:895
 #12 settings_backend_changed at ../gio/gsettings.c:452
 #13 g_settings_backend_invoke_closure at ../gio/gsettingsbackend.c:275
 #14 g_main_context_invoke_full at ../glib/gmain.c:6414
 #15 g_main_context_invoke at ../glib/gmain.c:6374
 #16 g_settings_backend_dispatch_signal at ../gio/gsettingsbackend.c:339
 #17 dconf_engine_emit_changes at ../engine/dconf-engine.c:1218
 #18 dconf_engine_change_fast at ../engine/dconf-engine.c:1383
 #19 dconf_settings_backend_write at ../gsettings/dconfsettingsbackend.c:76
 #20 g_settings_backend_write at ../gio/gsettingsbackend.c:802
 #21 g_settings_write_to_backend.isra.0 at ../gio/gsettings.c:1165
 #22 g_settings_set_value at ../gio/gsettings.c:1605
 #23 PresetsManager::load_preset_file at /usr/include/c++/13/bits/stl_vector.h:1255

Comment 1 FeDosiX 2023-05-31 20:27:08 UTC
Created attachment 1968139 [details]
File: proc_pid_status

Comment 2 FeDosiX 2023-05-31 20:27:10 UTC
Created attachment 1968141 [details]
File: maps

Comment 3 FeDosiX 2023-05-31 20:27:11 UTC
Created attachment 1968142 [details]
File: limits

Comment 4 FeDosiX 2023-05-31 20:27:12 UTC
Created attachment 1968143 [details]
File: environ

Comment 5 FeDosiX 2023-05-31 20:27:15 UTC
Created attachment 1968144 [details]
File: open_fds

Comment 6 FeDosiX 2023-05-31 20:27:17 UTC
Created attachment 1968145 [details]
File: mountinfo

Comment 7 FeDosiX 2023-05-31 20:27:18 UTC
Created attachment 1968146 [details]
File: os_info

Comment 8 FeDosiX 2023-05-31 20:27:20 UTC
Created attachment 1968147 [details]
File: cpuinfo

Comment 9 FeDosiX 2023-05-31 20:27:22 UTC
Created attachment 1968148 [details]
File: core_backtrace

Comment 10 FeDosiX 2023-05-31 20:27:24 UTC
Created attachment 1968149 [details]
File: exploitable

Comment 11 FeDosiX 2023-05-31 20:27:25 UTC
Created attachment 1968150 [details]
File: dso_list

Comment 12 FeDosiX 2023-05-31 20:27:27 UTC
Created attachment 1968151 [details]
File: var_log_messages

Comment 13 FeDosiX 2023-05-31 20:27:29 UTC
Created attachment 1968152 [details]
File: backtrace

Comment 14 Fedora Update System 2023-06-28 08:16:30 UTC
FEDORA-2023-a4f083e280 has been submitted as an update to Fedora 38. https://bodhi.fedoraproject.org/updates/FEDORA-2023-a4f083e280

Comment 15 Fedora Update System 2023-06-29 01:46:20 UTC
FEDORA-2023-a4f083e280 has been pushed to the Fedora 38 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-a4f083e280`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-a4f083e280

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 16 Fedora Update System 2023-07-07 01:28:40 UTC
FEDORA-2023-a4f083e280 has been pushed to the Fedora 38 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.